package sun.security.krb5.internal;

import sun.security.krb5.RealmException;
import sun.security.krb5.Asn1Exception;
import sun.security.util.DerValue;
import java.io.IOException;
import sun.security.krb5.EncryptedData;
import sun.security.krb5.PrincipalName;

public class ASRep extends KDCRep
{
    public ASRep(PAData[] array, PrincipalName principalName, Ticket ticket, EncryptedData encryptedData) throws IOException {
        super(array, principalName, ticket, encryptedData, 11);
    }
    
    public ASRep(byte[] encoding) throws Asn1Exception, RealmException, KrbApErrException, IOException {
        this.init(new DerValue(encoding));
    }
    
    public ASRep(DerValue derValue) throws Asn1Exception, RealmException, KrbApErrException, IOException {
        this.init(derValue);
    }
    
    private void init(DerValue derValue) throws Asn1Exception, RealmException, KrbApErrException, IOException {
        super.init(derValue, 11);
    }
}
